---
title: "Article source registry (publishers, agencies)."
url: "https://developer.argaam.com/apis/news-editorial-layer-api-sandbox-v1/versions/56dc3378-a7ea-4bb0-a38f-84e9d50d974b/operations/getNewsArticleSources"
---

> Full API specification: https://developer.argaam.com/apis/news-editorial-layer-api-sandbox-v1/versions/56dc3378-a7ea-4bb0-a38f-84e9d50d974b.md

# Article source registry (publishers, agencies).

`GET` `/api/v1.1/news/article-sources`

Operation ID: `getNewsArticleSources`

Returns the list of upstream sources Argaam aggregates from. Useful when displaying article attribution.

## Query parameters

- `lang` (string, optional) - Response language: `1` = English, `2` = Arabic. Defaults to `1`.
- `page` (integer, int32, optional) - 1-based page number. Defaults to `1`.
- `pageSize` (integer, int32, optional) - Number of records per page. Defaults to the endpoint's standard page size; large values are capped server-side.

## Responses

- `200` - Success

## OpenAPI definition

```yaml
openapi: 3.0.1
info:
  title: News & Editorial Layer API
  version: v1.1
servers:
  - url: https://api-sandbox.argaam.com
    description: Argaam API Gateway (Sandbox)
paths:
  /api/v1.1/news/article-sources:
    get:
      tags:
        - News
      parameters:
        - name: lang
          in: query
          schema:
            type: string
            default: ar
          example: 1
          description: "Response language: `1` = English, `2` = Arabic. Defaults to `1`."
        - name: page
          in: query
          schema:
            type: integer
            format: int32
            default: 1
          example: 1
          description: 1-based page number. Defaults to `1`.
        - name: pageSize
          in: query
          schema:
            type: integer
            format: int32
            default: 200
          example: 20
          description: Number of records per page. Defaults to the endpoint's standard
            page size; large values are capped server-side.
      responses:
        "200":
          description: Success
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: "#/components/schemas/ArticleSource"
      summary: Article source registry (publishers, agencies).
      description: "Returns the list of upstream sources Argaam aggregates from.\r

        Useful when displaying article attribution."
      operationId: getNewsArticleSources
security:
  - ApiKeyAuth: []
components:
  schemas:
    ArticleSource:
      type: object
      properties:
        articleSourceID:
          type: integer
          format: int32
        articleSourceName:
          type: string
          nullable: true
        languageID:
          type: integer
          format: int32
        parentArticleSourceID:
          type: integer
          format: int32
          nullable: true
        isActiveForStatistic:
          type: boolean
      additionalProperties: false
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: apikey
```
